class Socket {
    static socketUrl = "ws://localhost:12214/ws";
    static ws: WebSocket;
    init() {
        try {
            Socket.ws = new WebSocket(Socket.socketUrl);    
            this.heartbeat();
        } catch (error) {
            console.log(error);
        }
    }
    send(data: any) {
        Socket.ws.send(data);
    }
    onmessage(callback: any) {
        Socket.ws.onmessage = callback;
    }
    onclose(callback: any) {
        Socket.ws.onclose = callback;
    }
    onopen(callback: any) {
        Socket.ws.onopen = callback;
    }
    onerror(callback: any) {
        Socket.ws.onerror = callback;
    }
    close() {
        Socket.ws.close();
    }
    // 心跳
    heartbeat() {
        setInterval(() => {
            Socket.ws.send(`{"type":"heartbeat"}`);
        }, 1000*60);
    }
}

export const socket = new Socket();